uniform mat4 Proj;
uniform mat4 View;

varying vec2 TexCoord;
varying vec4 Color;

void main()
{
	TexCoord = gl_MultiTexCoord0.xy;
	Color = gl_Color;
	
	gl_Position = Proj * vec4((View * vec4(gl_Vertex.xyz, 0)).xyz, 1);
}
